#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.2
visibility:           public
id:                   snap-core-1.0.4.2-49OtWEgWoNQA9LSYI4ngNz
key:                  snap-core-1.0.4.2-49OtWEgWoNQA9LSYI4ngNz
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  bfc0447f429f11e84707049a6ea2718f
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-8.10.4/site-local/snap-core-1.0.4.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/snap-core-1.0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/snap-core-1.0.4.2
hs-libraries:         HSsnap-core-1.0.4.2-49OtWEgWoNQA9LSYI4ngNz
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    attoparsec-0.14.1-7D2guzUjZgOLHXldzPPTM base-4.14.1.0
    bytestring-0.10.12.0
    case-insensitive-1.2.1.0-L4eezPrloIkFfLdkfuDqXK containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    io-streams-1.5.2.1-FAqr7c5mpcfBOVbMfDf0PA
    lifted-base-0.2.3.12-24Sl1vSDHCQEzxxjjhhxA6
    monad-control-1.0.2.3-1ZzQHBJwKVs8ZhFdQI2kMK mtl-2.2.2
    network-3.1.2.1-3J2farqahIBByMpQGhmaOp
    network-uri-2.6.4.1-92yvtIIV9r4DFCfy93rBAD
    old-locale-1.0.0.7-LpTuchyagHAP7STZdm71P
    random-1.2.0-EwsL2pbBqkD1oyGGKHDL6O
    readable-0.3.1-ADUCwf111zyALvpIUwWBeo
    regex-posix-0.96.0.0-8LCvLtnjIJ88C22vpMeOJf text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-KXpOZ2jEitWE8FCwbHQTy
    unix-compat-0.5.3-E98n0JyMac7Bz478oqWJHX
    unordered-containers-0.2.13.0-Hta4uSSpiP48joPsanuYfX
    vector-0.12.3.0-GRVR7S4hON84E5j6gLfg6y

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

